#!/bin/bash
# just ffinding out where we are in order to copy:
if [ ! -z "$BASH_SOURCE" ]
then
    SCRIPT_NAME="${BASH_SOURCE[0]}"
else
    SCRIPT_NAME="$0"
fi
SCRIPT_DIR="$(cd "$(dirname "$(readlink -f "$SCRIPT_NAME" 2>/dev/null ||\
    greadlink -f "$SCRIPT_NAME" 2>/dev/null ||\
    echo "$SCRIPT_NAME")")" && pwd -P)"
# the directory of the install .command file and the component now in $SCRIPT_DIR
# create QuickTime folder in home Library and create if needed:
if [ ! -d ~/Library/QuickTime/ ]
then
  mkdir ~/Library/QuickTime/
fi
# copy component to the home QuickTime directory
cp -R $SCRIPT_DIR/QSXEssentials.component ~/Library/QuickTime/
echo
echo "[INFO] QSXEssentials.component successfully copied into ~/Library/QuickTime/"
echo
echo "[INFO] Done."
echo